VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderCorePropertiesAMD Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| operator VkPhysicalDeviceShaderCorePropertiesAMD const & () const
| operator VkPhysicalDeviceShaderCorePropertiesAMD & ()
bool | operator== (PhysicalDeviceShaderCorePropertiesAMD const &rhs) const
bool | operator!= (PhysicalDeviceShaderCorePropertiesAMD const &rhs) const

## Data Fields

void * | pNext = nullptr
uint32_t | shaderEngineCount
uint32_t | shaderArraysPerEngineCount
uint32_t | computeUnitsPerShaderArray
uint32_t | simdPerComputeUnit
uint32_t | wavefrontsPerSimd
uint32_t | wavefrontSize
uint32_t | sgprsPerSimd
uint32_t | minSgprAllocation
uint32_t | maxSgprAllocation
uint32_t | sgprAllocationGranularity
uint32_t | vgprsPerSimd
uint32_t | minVgprAllocation
uint32_t | maxVgprAllocation
uint32_t | vgprAllocationGranularity

## Private Attributes

StructureType | sType = StructureType::ePhysicalDeviceShaderCorePropertiesAMD

## Detailed Description

Definition at line 17716 of file vulkan.hpp.

## Member Function Documentation

## operator VkPhysicalDeviceShaderCorePropertiesAMD &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderCorePropertiesAMD::operator VkPhysicalDeviceShaderCorePropertiesAMD & | ( |  | ) |

inline

Definition at line 17723 of file vulkan.hpp.

{
return *reinterpret_cast<VkPhysicalDeviceShaderCorePropertiesAMD*>(this);
}

## operator VkPhysicalDeviceShaderCorePropertiesAMD const &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderCorePropertiesAMD::operator VkPhysicalDeviceShaderCorePropertiesAMD const & | ( |  | ) | const

inline

Definition at line 17718 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPhysicalDeviceShaderCorePropertiesAMD*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderCorePropertiesAMD::operator!= | ( | PhysicalDeviceShaderCorePropertiesAMD const & | rhs | ) | const

inline

Definition at line 17748 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator==()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderCorePropertiesAMD::operator== | ( | PhysicalDeviceShaderCorePropertiesAMD const & | rhs | ) | const

inline

Definition at line 17728 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( shaderEngineCount == rhs.shaderEngineCount )
&& ( shaderArraysPerEngineCount == rhs.shaderArraysPerEngineCount )
&& ( computeUnitsPerShaderArray == rhs.computeUnitsPerShaderArray )
&& ( simdPerComputeUnit == rhs.simdPerComputeUnit )
&& ( wavefrontsPerSimd == rhs.wavefrontsPerSimd )
&& ( wavefrontSize == rhs.wavefrontSize )
&& ( sgprsPerSimd == rhs.sgprsPerSimd )
&& ( minSgprAllocation == rhs.minSgprAllocation )
&& ( maxSgprAllocation == rhs.maxSgprAllocation )
&& ( sgprAllocationGranularity == rhs.sgprAllocationGranularity )
&& ( vgprsPerSimd == rhs.vgprsPerSimd )
&& ( minVgprAllocation == rhs.minVgprAllocation )
&& ( maxVgprAllocation == rhs.maxVgprAllocation )
&& ( vgprAllocationGranularity == rhs.vgprAllocationGranularity );
}

References computeUnitsPerShaderArray, maxSgprAllocation, maxVgprAllocation, minSgprAllocation, minVgprAllocation, pNext, sgprAllocationGranularity, sgprsPerSimd, shaderArraysPerEngineCount, shaderEngineCount, simdPerComputeUnit, sType, vgprAllocationGranularity, vgprsPerSimd, wavefrontSize, and wavefrontsPerSimd.

Referenced by operator!=().

## Field Documentation

## computeUnitsPerShaderArray

uint32_t VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderCorePropertiesAMD::computeUnitsPerShaderArray

Definition at line 17760 of file vulkan.hpp.

Referenced by operator==().

## maxSgprAllocation

uint32_t VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderCorePropertiesAMD::maxSgprAllocation

Definition at line 17766 of file vulkan.hpp.

Referenced by operator==().

## maxVgprAllocation

uint32_t VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderCorePropertiesAMD::maxVgprAllocation

Definition at line 17770 of file vulkan.hpp.

Referenced by operator==().

## minSgprAllocation

uint32_t VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderCorePropertiesAMD::minSgprAllocation

Definition at line 17765 of file vulkan.hpp.

Referenced by operator==().

## minVgprAllocation

uint32_t VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderCorePropertiesAMD::minVgprAllocation

Definition at line 17769 of file vulkan.hpp.

Referenced by operator==().

## pNext

void* VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderCorePropertiesAMD::pNext = nullptr

Definition at line 17757 of file vulkan.hpp.

Referenced by operator==().

## sgprAllocationGranularity

uint32_t VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderCorePropertiesAMD::sgprAllocationGranularity

Definition at line 17767 of file vulkan.hpp.

Referenced by operator==().

## sgprsPerSimd

uint32_t VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderCorePropertiesAMD::sgprsPerSimd

Definition at line 17764 of file vulkan.hpp.

Referenced by operator==().

## shaderArraysPerEngineCount

uint32_t VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderCorePropertiesAMD::shaderArraysPerEngineCount

Definition at line 17759 of file vulkan.hpp.

Referenced by operator==().

## shaderEngineCount

uint32_t VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderCorePropertiesAMD::shaderEngineCount

Definition at line 17758 of file vulkan.hpp.

Referenced by operator==().

## simdPerComputeUnit

uint32_t VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderCorePropertiesAMD::simdPerComputeUnit

Definition at line 17761 of file vulkan.hpp.

Referenced by operator==().

## sType

StructureType VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderCorePropertiesAMD::sType = StructureType::ePhysicalDeviceShaderCorePropertiesAMD

private

Definition at line 17754 of file vulkan.hpp.

Referenced by operator==().

## vgprAllocationGranularity

uint32_t VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderCorePropertiesAMD::vgprAllocationGranularity

Definition at line 17771 of file vulkan.hpp.

Referenced by operator==().

## vgprsPerSimd

uint32_t VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderCorePropertiesAMD::vgprsPerSimd

Definition at line 17768 of file vulkan.hpp.

Referenced by operator==().

## wavefrontSize

uint32_t VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderCorePropertiesAMD::wavefrontSize

Definition at line 17763 of file vulkan.hpp.

Referenced by operator==().

## wavefrontsPerSimd

uint32_t VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderCorePropertiesAMD::wavefrontsPerSimd

Definition at line 17762 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderCorePropertiesAMD::shaderArraysPerEngineCount
uint32_t shaderArraysPerEngineCount
Definition: vulkan.hpp:17759
VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderCorePropertiesAMD::sgprsPerSimd
uint32_t sgprsPerSimd
Definition: vulkan.hpp:17764
VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderCorePropertiesAMD::wavefrontSize
uint32_t wavefrontSize
Definition: vulkan.hpp:17763
VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderCorePropertiesAMD::sType
StructureType sType
Definition: vulkan.hpp:17754
VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderCorePropertiesAMD::maxVgprAllocation
uint32_t maxVgprAllocation
Definition: vulkan.hpp:17770
VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderCorePropertiesAMD::computeUnitsPerShaderArray
uint32_t computeUnitsPerShaderArray
Definition: vulkan.hpp:17760
VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderCorePropertiesAMD::wavefrontsPerSimd
uint32_t wavefrontsPerSimd
Definition: vulkan.hpp:17762
VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderCorePropertiesAMD::operator==
bool operator==(PhysicalDeviceShaderCorePropertiesAMD const &rhs) const
Definition: vulkan.hpp:17728
VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderCorePropertiesAMD::shaderEngineCount
uint32_t shaderEngineCount
Definition: vulkan.hpp:17758
VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderCorePropertiesAMD::pNext
void * pNext
Definition: vulkan.hpp:17757
VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderCorePropertiesAMD::simdPerComputeUnit
uint32_t simdPerComputeUnit
Definition: vulkan.hpp:17761
VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderCorePropertiesAMD::minSgprAllocation
uint32_t minSgprAllocation
Definition: vulkan.hpp:17765
VkPhysicalDeviceShaderCorePropertiesAMD
Definition: vulkan_core.h:8555
VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderCorePropertiesAMD::minVgprAllocation
uint32_t minVgprAllocation
Definition: vulkan.hpp:17769
VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderCorePropertiesAMD::vgprsPerSimd
uint32_t vgprsPerSimd
Definition: vulkan.hpp:17768
VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderCorePropertiesAMD::sgprAllocationGranularity
uint32_t sgprAllocationGranularity
Definition: vulkan.hpp:17767
VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderCorePropertiesAMD::maxSgprAllocation
uint32_t maxSgprAllocation
Definition: vulkan.hpp:17766
VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderCorePropertiesAMD::vgprAllocationGranularity
uint32_t vgprAllocationGranularity
Definition: vulkan.hpp:17771